Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface QualificationDiscountDef

All Superinterfaces:
  Comparable, Serializable

public interface QualificationDiscountDef
extends Serializable, Comparable

This interface defines the public interface of an immutable discount definition object. Discount definition objects are the run time representation of a discount. Discount are defined in XML discount set definitions. The `QualDiscountDefFactory` is used to create instance of discount definition objects from the discount set definition

Field Summary
`static String` | `ITEM_DISCOUNT_TYPE` Defines the item discount type
`static String` | `ORDER_DISCOUNT_TYPE` Defines the order discount type

Method Summary
`boolean` | `equals(Object obj)` Tests if two discounts are the same
`int` | `getAllowedUses()` Gets the value of the 'number of uses allowed' parameter for this discount.
`String` | `getDescription()` Gets this discount's description
`Date` | `getEndDate()` Gets the discount definition's expiration date
`String` | `getGlobalDescription()` Gets this discount's global description
`QualificationDiscountId` | `getId()` Get the `QualificationDiscountId` (unique identifier) associated with this definition
`DiscountModifier` | `getModifier()` Gets the `DiscountModifier` associated with this discount
`String` | `getName()` Gets this discounts name, discount names are only unique within a given discount set
`int` | `getPriority()` Gets the priority associated with this definition
`DiscountRule` | `getRule()` Gets the `DiscountRule` associated with this discount
`String` | `getSetName()` Deprecated. As of version 4.0, this method now throws an `UnsupportedOperationException`.
`Date` | `getStartDate()` Gets the discount definition's begin date
`String` | `getType()` Gets the type of this discount, should be one of the discount type constants defined by this interface
`int` | `hashCode()` A unique code for this discount
`boolean` | `isActive()` Gets this discount's active flag
`boolean` | `isGlobal()` Gets this discount's global flag
`void` | `setId(QualificationDiscountId newId)`
`String` | `toString()` Gets a `String`representation of this discount``

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### ITEM_DISCOUNT_TYPE

    public static final String ITEM_DISCOUNT_TYPE

  Defines the item discount type

  See Also:
    Constant Field Values

### ORDER_DISCOUNT_TYPE

    public static final String ORDER_DISCOUNT_TYPE

  Defines the order discount type

  See Also:
    Constant Field Values

Method Detail

### getId

    public QualificationDiscountId getId()

  Get the `QualificationDiscountId` (unique identifier) associated with this definition

  Returns:
    this discounts id (`QualificationDiscountId`)

### setId

    public void setId(QualificationDiscountId newId)

### getPriority

    public int getPriority()

  Gets the priority associated with this definition

  Returns:
    this discount's priority

### isGlobal

    public boolean isGlobal()

  Gets this discount's global flag

  Returns:
    ture if this is a global discount, flase otherwise

### getName

    public String getName()

  Gets this discounts name, discount names are only unique within a given discount set

  Returns:
    this discount's name
  See Also:
    `getSetName()`

### getType

    public String getType()

  Gets the type of this discount, should be one of the discount type constants defined by this interface

  Returns:
    this discount's type

### getAllowedUses

    public int getAllowedUses()

  Gets the value of the 'number of uses allowed' parameter for this discount. This is the number of orders the discount may be applied to for a given user. The value must be positive.

  Returns:
    the number of uses allowed

### getModifier

    public DiscountModifier getModifier()

  Gets the `DiscountModifier` associated with this discount

  Returns:
    the `DiscountModifier` associated with this discount
  See Also:
    `DiscountModifier`

### getRule

    public DiscountRule getRule()

  Gets the `DiscountRule` associated with this discount

  Returns:
    the `DiscountRule` associated with this discount
  See Also:
    `DiscountRule`

### getEndDate

    public Date getEndDate()

  Gets the discount definition's expiration date

  Returns:
    a Date, the discount's expiration date

### getStartDate

    public Date getStartDate()

  Gets the discount definition's begin date

  Returns:
    a Date, the discount's begin date

### isActive

    public boolean isActive()

  Gets this discount's active flag

  Returns:
    true if the discount is active, false otherwise

### getDescription

    public String getDescription()

  Gets this discount's description

  Returns:
    this discount's description

### getGlobalDescription

    public String getGlobalDescription()

  Gets this discount's global description

  Returns:
    this discount's global description

### getSetName

    public String getSetName()

  Deprecated. As of version 4.0, this method now throws an `UnsupportedOperationException`.

  Gets the name of the discount set this discount was defined in

  Returns:
    this discount's set name
  Throws:
    `UnsupportedOperationException`

### equals

    public boolean equals(Object obj)

  Tests if two discounts are the same

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the `QualificationDiscountDef` to compare this one against
  Returns:
    true if the passed `QualificationDiscountDef` is the same as this one

### hashCode

    public int hashCode()

  A unique code for this discount

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashCode for this discount

### toString

    public String toString()

  Gets a `String`representation of this discount

  ``
  Overrides:
    `toString` in class `Object`
  Returns:
    a `String`representation of this discount``

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved